Subject: Fw: Invoice 1203051
From: "LLPS Customer Service" <[email-masked]>
To: "Ryan Dooley" <[email-masked]>
Date: Fri, 25 Feb 2011 15:00:49 -0500

Collections.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]
----- Original Message ----- 
From: "Tawanna Bennett" <[email-masked]>
To: "Labor Law Poster Service" <[email-masked]>
Sent: Friday, February 25, 2011 11:52 AM
Subject: Re: Invoice 1203051

> I'm sending the poster back to you. I called state board and found out
> that this poster is not one that I will need. thank you
>
>
> On Thursday, February 24, 2011, Labor Law Poster Service
> <[email-masked]> wrote:
>> SENT BY COLE
>>
>> -------------------------
>> Thank you for your order. Your invoice is attached.
>>
>> This is an automatically generated message from Labor Law Poster Service.
>> UID: 542